package net.ranides.assira.ui.parsers;

import javax.swing.*;
import java.awt.*;

public class ExampleComponents {

    public static final JFrame FRAME;
    public static final JPanel PANEL;
    public static final JButton BUTTON;

    static {
        FRAME = new JFrame();
        FRAME.setSize(400, 300);
        FRAME.getContentPane().setBackground(Color.BLUE);
        FRAME.setUndecorated(true);
        FRAME.setLayout(null);
        FRAME.setFont(Font.decode("Arial 18"));
        FRAME.setVisible(true);

        PANEL = new JPanel();
        PANEL.setSize(180, 120);
        PANEL.setBackground(Color.RED);
        PANEL.setFont(Font.decode("Arial 18"));
        PANEL.setLocation(25, 50);

        FRAME.add(PANEL);

        BUTTON = new JButton();
        BUTTON.setText("Hello");
        BUTTON.setSize(175, 45);
        BUTTON.setLocation(10, 15);
        BUTTON.setFont(Font.decode("Arial 12"));

        PANEL.add(BUTTON);
    }

}
